%define pythonver 2.5

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	a library suite for non-linear editing, visual effects and rich media applications	
Name:      	openlibraries
Version:   	0.4.0svn
Release:   	3
License: 	GNU/GPL
URL:		http://www.openlibraries.org/
Group:     	System/Libraries
Source0: 	%{name}-svn-1351.tar.bz2
Patch0:		openlibraries-new-ffmpeg.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  glew-devel
BuildRequires:  SDL-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  boost-devel
BuildRequires:  glibc-devel
BuildRequires:  faac-devel
BuildRequires:  libjpeg-devel
BuildRequires:  lame-devel
BuildRequires:  libogg-devel
BuildRequires:  libpng-devel
BuildRequires:  sqlite-devel
BuildRequires:  libdc1394-devel
BuildRequires:  libraw1394-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libtheora-1.0-devel
BuildRequires:  libtiff-devel
BuildRequires:  libvorbis-devel
BuildRequires:  x264-devel
BuildRequires:  libxml2-devel
BuildRequires:  xvidcore-devel
BuildRequires:  zlib-devel
BuildRequires:  python
BuildRequires:	OpenEXR-devel
BuildRequires:	ilmbase-devel
BuildRequires:	Cg
BuildRequires:	mlt-devel

%description
The openLibraries are a powerful cross-platform set of libraries that provide developers with the key building blocks they need to easy build, test and deploy rich media applications

%package devel
Summary:        Header files and development documentation for %{name}
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description devel
Header files for %{name}


%prep
%setup -q -n %{name}
# url_fclose in ffmpeg was changed, fix this
%patch0 

%build
./bootstrap
export CFLAGS="$CFLAGS -I/usr/include/libswscale -I/usr/include/libavformat"
export CXXFLAGS="$CXXFLAGS -I/usr/include/libswscale -I/usr/include/libavformat"
./configure 	--prefix=%{_prefix} \
		--mandir=%_mandir \
		--with-qtinclude=/opt/qt-3.3/include \
  		--with-qtlib=/opt/qt-3.3/lib \
		--with-boostruntime=mt \
		--with-boostthreadruntime=mt \
		--enable-gpl \
		--with-pythonversion=%pythonver \
		--disable-openal
	
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_datadir/%{name}-0.5.0
%_libdir/python%{pythonver}
%_libdir/%{name}-0.5.0

%files devel
%defattr(-,root,root)
%_includedir
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Mar 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.4.0svn-3
- rebuilt against libdc1394 2.0.1
* Sun Feb 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.4.0svn-2
- rebuilt against glew 1.5.0
* Thu Jan 03 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.4.0svn-1
- update to SVN Revision 1351
* Fri Dec 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.4.0-3
- rebuilt against OpenEXR 1.6.1 / ilmbase 1.0.1
* Sun Nov 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.4.0-2
- rebuilt against x264 20071104
* Thu Aug 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.4.0-1
- Initial Release
